Index: unk/.gitignore
===================================================================
--- /trunk/.gitignore	(revision 32)
+++ 	(revision )
@@ -1,2 +1,0 @@
-!/cmd/suwako
-suwako
Index: /trunk/COPYING
===================================================================
--- /trunk/COPYING	(revision 32)
+++ /trunk/COPYING	(revision 1)
@@ -1,8 +1,4 @@
-/*
- * ----------------------------------------------------------------------------
- * "THE BEER-WARE LICENSE" (Revision 42.1):
- * <eternal-servant@yakumo.dev> wrote this file. As long as you retain this notice you
- * can do whatever you want with this stuff. If we meet some day, and you think
- * this stuff is worth it, you can buy me a bottle of sake in return Izuru Yakumo
- * ----------------------------------------------------------------------------
- */
+Freedom License v1 (2021年08月17日)
+
+全く無限的自由です。
+It's infinite freedom.
Index: unk/Makefile
===================================================================
--- /trunk/Makefile	(revision 32)
+++ 	(revision )
@@ -1,25 +1,0 @@
-GO ?= go
-GOFLAGS ?= -v
-
-PREFIX ?= /usr/local
-BINDIR ?= ${PREFIX}/bin
-MANDIR ?= ${PREFIX}/man
-
-all: build
-
-build:
-	${GO} build ${GOFLAGS}
-clean:
-	rm -f suwako
-pre-install:
-	mkdir -p ${DESTDIR}${BINDIR}
-	mkdir -p ${DESTDIR}${MANDIR}/man1
-	mkdir -p ${DESTDIR}${MANDIR}/man5
-install: pre-install
-	install -m0755 suwako ${DESTDIR}${BINDIR}/suwako
-	install -m0644 suwako.1 ${DESTDIR}${MANDIR}/man1/suwako.1
-	install -m0644 suwako.conf.5 ${DESTDIR}${MANDIR}/man5/suwako.conf.5
-uninstall:
-	rm -f ${DESTDIR}${BINDIR}/suwako
-	rm -f ${DESTDIR}${MANDIR}/man1/suwako.1
-	rm -f ${DESTDIR}${MANDIR}/man5/suwako.conf.5
Index: unk/README.md
===================================================================
--- /trunk/README.md	(revision 32)
+++ 	(revision )
@@ -1,49 +1,0 @@
-SUWAKO(1) - General Commands Manual
-
-# NAME
-
-**suwako** - Command-line client for SimplyTranslate
-
-# SYNOPSIS
-
-**suwako**
-**-f**&nbsp;*from*
-**-t**&nbsp;*to*
-*input*
-
-# DESCRIPTION
-
-Self-explanatory, besides, this was made as
-a rewrite from a shell script that had curl
-and awk for dependencies.
-It fully serves as a drop-in replacement.
-
-# USAGE
-
-**-f**
-
-> Input language to translate from.
-> Default is 'auto'
-
-**-t**
-
-> Target language to translate to
-
-&lt;input&gt;
-
-> Text to be translated
-
-# SEE ALSO
-
-suwako.conf(5)
-
-# AUTHORS
-
-Izuru Yakumo &lt;[eternal-servant@yakumo.dev](mailto:eternal-servant@yakumo.dev)&gt;
-
-# BUGS
-
-Mozhi instances use translated-text as opposed to translated\_text
-coming from SimplyTranslate instances.
-
-NetBSD 10.1 - May 14, 2025
Index: /trunk/go.mod
===================================================================
--- /trunk/go.mod	(revision 32)
+++ /trunk/go.mod	(revision 1)
@@ -1,16 +1,3 @@
-module mahou-no-mori.yakumo.dev/suwako
+module git.076.ne.jp/novaburst/stcli
 
-go 1.21.0
-
-toolchain go1.23.8
-
-require (
-	github.com/spf13/cobra v1.9.1
-	gopkg.in/ini.v1 v1.67.0
-)
-
-require (
-	github.com/inconshreveable/mousetrap v1.1.0 // indirect
-	github.com/spf13/pflag v1.0.6 // indirect
-	github.com/stretchr/testify v1.10.0 // indirect
-)
+go 1.18
Index: unk/go.sum
===================================================================
--- /trunk/go.sum	(revision 32)
+++ 	(revision )
@@ -1,19 +1,0 @@
-github.com/cpuguy83/go-md2man/v2 v2.0.6/go.mod h1:oOW0eioCTA6cOiMLiUPZOpcVxMig6NIQQ7OS05n1F4g=
-github.com/davecgh/go-spew v1.1.1 h1:vj9j/u1bqnvCEfJOwUhtlOARqs3+rkHYY13jYWTU97c=
-github.com/davecgh/go-spew v1.1.1/go.mod h1:J7Y8YcW2NihsgmVo/mv3lAwl/skON4iLHjSsI+c5H38=
-github.com/inconshreveable/mousetrap v1.1.0 h1:wN+x4NVGpMsO7ErUn/mUI3vEoE6Jt13X2s0bqwp9tc8=
-github.com/inconshreveable/mousetrap v1.1.0/go.mod h1:vpF70FUmC8bwa3OWnCshd2FqLfsEA9PFc4w1p2J65bw=
-github.com/pmezard/go-difflib v1.0.0 h1:4DBwDE0NGyQoBHbLQYPwSUPoCMWR5BEzIk/f1lZbAQM=
-github.com/pmezard/go-difflib v1.0.0/go.mod h1:iKH77koFhYxTK1pcRnkKkqfTogsbg7gZNVY4sRDYZ/4=
-github.com/russross/blackfriday/v2 v2.1.0/go.mod h1:+Rmxgy9KzJVeS9/2gXHxylqXiyQDYRxCVz55jmeOWTM=
-github.com/spf13/cobra v1.9.1 h1:CXSaggrXdbHK9CF+8ywj8Amf7PBRmPCOJugH954Nnlo=
-github.com/spf13/cobra v1.9.1/go.mod h1:nDyEzZ8ogv936Cinf6g1RU9MRY64Ir93oCnqb9wxYW0=
-github.com/spf13/pflag v1.0.6 h1:jFzHGLGAlb3ruxLB8MhbI6A8+AQX/2eW4qeyNZXNp2o=
-github.com/spf13/pflag v1.0.6/go.mod h1:McXfInJRrz4CZXVZOBLb0bTZqETkiAhM9Iw0y3An2Bg=
-github.com/stretchr/testify v1.10.0 h1:Xv5erBjTwe/5IxqUQTdXv5kgmIvbHo3QQyRwhJsOfJA=
-github.com/stretchr/testify v1.10.0/go.mod h1:r2ic/lqez/lEtzL7wO/rwa5dbSLXVDPFyf8C91i36aY=
-gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod h1:Co6ibVJAznAaIkqp8huTwlJQCZ016jof/cbN4VW5Yz0=
-gopkg.in/ini.v1 v1.67.0 h1:Dgnx+6+nfE+IfzjUEISNeydPJh9AXNNsWbGP9KzCsOA=
-gopkg.in/ini.v1 v1.67.0/go.mod h1:pNLf8WUiyNEtQjuu5G5vTm06TEv9tsIgeAvK8hOrP4k=
-gopkg.in/yaml.v3 v3.0.1 h1:fxVm/GzAzEWqLHuvctI91KS9hhNmmWOoWu0XTYJS7CA=
-gopkg.in/yaml.v3 v3.0.1/go.mod h1:K4uyk7z7BCEPqu6E+C64Yfv1cQ7kz7rIZviUmN+EgEM=
Index: /trunk/main.go
===================================================================
--- /trunk/main.go	(revision 32)
+++ /trunk/main.go	(revision 1)
@@ -1,10 +1,59 @@
-/*
-Copyright © 2025 Izuru Yakumo <eternal-servant@yakumo.dev>
-*/
+// Yet another command-line client for SimplyTranslate
+// All Rites Reversed (ĸ) 3188 Aoi Koizumi, Czar of KST, mutefall, shokara
+
 package main
 
-import "mahou-no-mori.yakumo.dev/suwako/cmd"
+import (
+	"fmt"
+	"net/http"
+	"flag"
+	"io"
+	"path/filepath"
+	"os"
+)
 
+var (
+	instanceURL string
+	engine string
+	fromLang string
+	toLang string
+	text string
+)
+
+func init() {
+	// Point flags to variables
+	flag.StringVar(&instanceURL, "i", "https://translate.bus-hit.me/api/translate/", "Instance for SimplyTranslate (default: https://translate.bus-hit.me)")
+	flag.StringVar(&engine, "e", "google", "Translation engine (default: google)")
+	flag.StringVar(&fromLang, "f", "auto", "Source language (default: auto)")
+	flag.StringVar(&toLang, "t", "", "Target language")
+	flag.StringVar(&text, "T", "", "Text to translate")
+}
 func main() {
-	cmd.Execute()
+	// Start parsing
+	flag.Parse()
+
+	// Hand-craft the request URL
+	queryURL := instanceURL + "?engine=" + engine + "&from=" + fromLang + "&to=" + toLang + "&text=" + text
+
+	// Make a request to said URL
+	resp, err := http.Get(queryURL)
+	if err != nil {
+		panic(err)
+	}
+	
+	defer resp.Body.Close()
+	body, err := io.ReadAll(resp.Body)
+	output := body
+
+	fmt.Printf("Input: %s \n", text)
+	fmt.Printf("Output: %s \n", output)
 }
+func printUsage() {
+	fmt.Printf("Usage for %s : \n", filepath.Base(os.Args[0]))
+	fmt.Printf("-e \t Use the specified translation engine (default: google)\n")
+	fmt.Printf("-f \t (default: auto)\n")
+	fmt.Printf("-t \t (default: none)\n")
+	fmt.Printf("-T \t Text to translate\n")
+
+	os.Exit(1)
+}
Index: unk/suwako.1
===================================================================
--- /trunk/suwako.1	(revision 32)
+++ 	(revision )
@@ -1,36 +1,0 @@
-.Dd May 14, 2025
-.Dt SUWAKO 1
-.Os
-.Sh NAME
-.Nm suwako
-.Nd Command-line client for SimplyTranslate
-.Sh SYNOPSIS
-.Nm
-.Fl f Ar from
-.Fl t Ar to
-.Ar input
-.Sh DESCRIPTION
-Self-explanatory, besides, this was made as
-a rewrite from a shell script that had
-.Xr curl 1
-and
-.Xr awk 1
-for dependencies.
-It fully serves as a drop-in replacement.
-.Sh USAGE
-.Bl -tag -width 11n -compact
-.It Fl f
-Input language to translate from.
-Default is 'auto'
-.It Fl t
-Target language to translate to
-.It <input>
-Text to be translated
-.El
-.Sh SEE ALSO
-.Xr suwako.conf 5
-.Sh AUTHORS
-.An Izuru Yakumo Aq Mt eternal-servant@yakumo.dev
-.Sh BUGS
-Mozhi instances use translated-text as opposed to translated_text
-coming from SimplyTranslate instances.
Index: unk/suwako.conf.5
===================================================================
--- /trunk/suwako.conf.5	(revision 32)
+++ 	(revision )
@@ -1,30 +1,0 @@
-.Dd May 14, 2025
-.Dt SUWAKO.CONF 5
-.Os
-.Sh NAME
-.Nm suwako.conf
-.Nd INI-style configuration file for suwako
-.Sh DESCRIPTION
-The
-.Nm
-file specifies the instance address,
-including the API path and the
-translation engine to be used on
-.Nm suwako
-.Sh OPTIONS
-.Bl -tag -width 11n -compact
-.It endpoint
-Contains the HTTPS URI to the instance
-.It engine
-For most use cases, the
-.Em google
-engine should be enough,
-though some endpoints
-support more translation
-engines.
-.El
-.Sh FILES
-.Pa ~/.config/suwako.ini
-path to this file
-.Sh AUTHORS
-.An Izuru Yakumo Aq Mt eternal-servant@yakumo.dev