Index: /trunk/cmd/suwako/main.go
===================================================================
--- /trunk/cmd/suwako/main.go	(revision 25)
+++ /trunk/cmd/suwako/main.go	(revision 26)
@@ -12,11 +12,14 @@
 
 	"github.com/integrii/flaggy"
-	"github.com/joho/godotenv"
+	"gopkg.in/ini.v1"
 	"marisa.chaotic.ninja/suwako"
 )
 
-var (
+var conf struct {
 	engine string
 	instance string
+}
+
+var (
 	input string
 	source string = "auto"
@@ -34,5 +37,16 @@
 }
 
-func loadCfg() {
+func iniLoad(file string) error {
+	cfg, err := ini.Load(file)
+	if err != nil {
+		return err
+	}
+	conf.engine = cfg.Section("").Key("engine").String()
+	conf.instance = cfg.Section("").Key("instance").String()
+
+	return nil
+}
+
+func flagParse() {
 	flaggy.SetName("suwako")
 	flaggy.SetDescription("Command line client for SimplyTranslate")
@@ -43,19 +57,16 @@
 	flaggy.AddPositionalValue(&input, "input", 1, true, "Text to translate")
 
-	home, err := os.UserHomeDir()
-	errCheck(err)
-	conf := home + "/.suwako/suwako.conf"
-	err = godotenv.Load(conf)
-	errCheck(err)
-
-	engine = os.Getenv("SUWAKO_ENGINE")
-	instance = os.Getenv("SUWAKO_INSTANCE")
-
 	flaggy.Parse()
 }
 
 func main() {
-	// Load configuration and parse flags
-	loadCfg()
+	// Flag parsing
+	flagParse()
+
+	// Load configuration file
+	home, err := os.UserHomeDir()
+	errCheck(err)
+	cfgfile := home + "/.suwako/suwako.conf"
+	iniLoad(cfgfile)
 
 	// Verify command-line inputs
@@ -71,5 +82,5 @@
 
 	// Construct the final path to query
-	var queryURL = instance + "?engine=" + engine + "&from=" + source + "&to=" + target + "&text=" + encInput
+	var queryURL = conf.instance + "?engine=" + conf.engine + "&from=" + source + "&to=" + target + "&text=" + encInput
 
 	// Shoot danmaku to path
Index: /trunk/go.mod
===================================================================
--- /trunk/go.mod	(revision 25)
+++ /trunk/go.mod	(revision 26)
@@ -5,4 +5,6 @@
 require (
 	github.com/integrii/flaggy v1.5.2
-	github.com/joho/godotenv v1.5.1
+	gopkg.in/ini.v1 v1.67.0
 )
+
+require github.com/stretchr/testify v1.8.4 // indirect
Index: /trunk/go.sum
===================================================================
--- /trunk/go.sum	(revision 25)
+++ /trunk/go.sum	(revision 26)
@@ -1,7 +1,12 @@
+github.com/davecgh/go-spew v1.1.1 h1:vj9j/u1bqnvCEfJOwUhtlOARqs3+rkHYY13jYWTU97c=
 github.com/google/go-cmp v0.5.6 h1:BKbKCqvP6I+rmFHt06ZmyQtvB8xAkWdhFyr0ZUNZcxQ=
 github.com/google/go-cmp v0.5.6/go.mod h1:v8dTdLbMG2kIc/vJvl+f65V22dbkXbowE6jgT/gNBxE=
 github.com/integrii/flaggy v1.5.2 h1:bWV20MQEngo4hWhno3i5Z9ISPxLPKj9NOGNwTWb/8IQ=
 github.com/integrii/flaggy v1.5.2/go.mod h1:dO13u7SYuhk910nayCJ+s1DeAAGC1THCMj1uSFmwtQ8=
-github.com/joho/godotenv v1.5.1 h1:7eLL/+HRGLY0ldzfGMeQkb7vMd0as4CfYvUVzLqw0N0=
-github.com/joho/godotenv v1.5.1/go.mod h1:f4LDr5Voq0i2e/R5DDNOoa2zzDfwtkZa6DnEwAbqwq4=
+github.com/pmezard/go-difflib v1.0.0 h1:4DBwDE0NGyQoBHbLQYPwSUPoCMWR5BEzIk/f1lZbAQM=
+github.com/stretchr/testify v1.8.4 h1:CcVxjf3Q8PM0mHUKJCdn+eZZtm5yQwehR5yeSVQQcUk=
+github.com/stretchr/testify v1.8.4/go.mod h1:sz/lmYIOXD/1dqDmKjjqLyZ2RngseejIcXlSw2iwfAo=
 golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod h1:I/5z698sn9Ka8TeJc9MKroUUfqBBauWjQqLJ2OPfmY0=
+gopkg.in/ini.v1 v1.67.0 h1:Dgnx+6+nfE+IfzjUEISNeydPJh9AXNNsWbGP9KzCsOA=
+gopkg.in/ini.v1 v1.67.0/go.mod h1:pNLf8WUiyNEtQjuu5G5vTm06TEv9tsIgeAvK8hOrP4k=
+gopkg.in/yaml.v3 v3.0.1 h1:fxVm/GzAzEWqLHuvctI91KS9hhNmmWOoWu0XTYJS7CA=
Index: /trunk/suwako.1
===================================================================
--- /trunk/suwako.1	(revision 25)
+++ /trunk/suwako.1	(revision 26)
@@ -18,8 +18,8 @@
 .Sh CONFIGURATION
 .Nm
-takes two variables, those being
-.Ev SUWAKO_INSTANCE
+takes two keys, those being
+.Ev instance
 and
-.Ev SUWAKO_ENGINE
+.Ev engine
 .Pp
 Both must be filled and placed
@@ -37,2 +37,5 @@
 .Sh AUTHORS
 .An Izuru Yakumo Aq Mt yakumo.izuru@chaotic.ninja
+.Sh BUGS
+You cannot translate the string "version", this is
+a direct consequence of using flaggy.