Index: trunk/.gitignore
===================================================================
--- trunk/.gitignore	(revision 26)
+++ trunk/.gitignore	(revision 27)
@@ -1,1 +1,2 @@
-*
+!/cmd/suwako
+suwako
Index: trunk/COPYING
===================================================================
--- trunk/COPYING	(revision 26)
+++ trunk/COPYING	(revision 27)
@@ -1,4 +1,8 @@
-Freedom License v1 (2021年08月17日)
-
-全く無限的自由です。
-It's infinite freedom.
+/*
+ * ----------------------------------------------------------------------------
+ * "THE BEER-WARE LICENSE" (Revision 42.1):
+ * <yakumo.izuru@chaotic.ninja> wrote this file. As long as you retain this notice you
+ * can do whatever you want with this stuff. If we meet some day, and you think
+ * this stuff is worth it, you can buy me a bottle of sake in return Izuru Yakumo
+ * ----------------------------------------------------------------------------
+ */
Index: trunk/Makefile
===================================================================
--- trunk/Makefile	(revision 26)
+++ trunk/Makefile	(revision 27)
@@ -1,7 +1,5 @@
 PREFIX ?= /usr/local
 
-GOARCH ?= amd64
 GOFLAGS ?= -v -ldflags "-w -X `go list`.Version=${VERSION} -X `go list`.Commit=${COMMIT} -X `go list`.Build=${BUILD}" -tags "static_build"
-GOOS ?= linux
 
 BRANCH = `git rev-parse --abbrev-ref HEAD`
@@ -19,4 +17,5 @@
 	install -Dm0755 suwako ${PREFIX}/bin/suwako
 	install -Dm0644 suwako.1 ${PREFIX}/share/man/man1/suwako.1
+	install -Dm0644 suwako.conf.5 ${PREFIX}/share/man/man5/suwako.conf.5
 uninstall:
 	rm -f ${PREFIX}/bin/suwako
Index: trunk/README.md
===================================================================
--- trunk/README.md	(revision 26)
+++ trunk/README.md	(revision 27)
@@ -8,7 +8,7 @@
 
 **suwako**
-**-f**&nbsp;*from*
-**-t**&nbsp;*to*
-*input*
+\[**-f**&nbsp;*from*]
+\[**-t**&nbsp;*to*]
+\[*input*]
 
 # DESCRIPTION
@@ -19,15 +19,4 @@
 It fully serves
 as a drop-in replacement.
-
-# CONFIGURATION
-
-**suwako**
-takes two variables, those being
-`SUWAKO_INSTANCE`
-and
-`SUWAKO_ENGINE`
-
-Both must be filled and placed
-on ~/.suwako/suwako.conf
 
 # USAGE
@@ -46,7 +35,16 @@
 > Text to be translated
 
+# SEE ALSO
+
+suwako.conf(5)
+
 # AUTHORS
 
 Izuru Yakumo &lt;[yakumo.izuru@chaotic.ninja](mailto:yakumo.izuru@chaotic.ninja)&gt;
 
-FreeBSD 13.2-RELEASE-p1 - October 21, 2023
+# BUGS
+
+You cannot translate the string "version", this is
+a direct consequence of using flaggy.
+
+FreeBSD 13.2-RELEASE-p4 - December 16, 2023
Index: trunk/doc.go
===================================================================
--- trunk/doc.go	(revision 27)
+++ trunk/doc.go	(revision 27)
@@ -0,0 +1,2 @@
+// package suwako is yet another client for SimplyTranslate https://simple-web.org/projects/simplytranslate.html written in Go.
+package suwako
Index: trunk/suwako.1
===================================================================
--- trunk/suwako.1	(revision 26)
+++ trunk/suwako.1	(revision 27)
@@ -7,7 +7,7 @@
 .Sh SYNOPSIS
 .Nm
-.Fl f Ar from
-.Fl t Ar to
-.Ar input
+.Op Fl f Ar from
+.Op Fl t Ar to
+.Op Ar input
 .Sh DESCRIPTION
 Self-explanatory, besides, this was made as
@@ -16,13 +16,4 @@
 It fully serves
 as a drop-in replacement.
-.Sh CONFIGURATION
-.Nm
-takes two keys, those being
-.Ev instance
-and
-.Ev engine
-.Pp
-Both must be filled and placed
-on ~/.suwako/suwako.conf
 .Sh USAGE
 .Bl -tag -width 11n -compact
@@ -35,4 +26,6 @@
 Text to be translated
 .El
+.Sh SEE ALSO
+.Xr suwako.conf 5
 .Sh AUTHORS
 .An Izuru Yakumo Aq Mt yakumo.izuru@chaotic.ninja
Index: trunk/suwako.conf.5
===================================================================
--- trunk/suwako.conf.5	(revision 27)
+++ trunk/suwako.conf.5	(revision 27)
@@ -0,0 +1,36 @@
+.Dd $Mdocdate$
+.Dt SUWAKO.CONF 5
+.Os
+.Sh NAME
+.Nm suwako.conf
+.Nd INI-style configuration file for
+.Xr suwako 1
+.Sh DESCRIPTION
+The
+.Nm
+file specifies the instance address,
+including the API path and the
+translation engine to be used on
+the
+.Xr suwako 1
+command.
+.Sh OPTIONS
+.Bl -tag -width 11n -compact
+.It instance
+Contains the HTTPS URI to the
+server's up to the
+.Sy /api/translate
+endpoint.
+.It engine
+For most use cases, the
+.Em google
+engine should be enough,
+though some endpoints
+support more translation
+engines.
+.El
+.Sh FILES
+.Pa ~/.suwako/suwako.conf
+path to this file
+.Sh AUTHORS
+.An Izuru Yakumo Aq Mt yakumo.izuru@chaotic.ninja