Index: /trunk/Makefile
===================================================================
--- /trunk/Makefile	(revision 31)
+++ /trunk/Makefile	(revision 32)
@@ -1,22 +1,25 @@
+GO ?= go
+GOFLAGS ?= -v
+
 PREFIX ?= /usr/local
+BINDIR ?= ${PREFIX}/bin
+MANDIR ?= ${PREFIX}/man
 
-GOFLAGS ?= -v -ldflags "-w -X `go list`.Version=${VERSION} -X `go list`.Commit=${COMMIT} -X `go list`.Build=${BUILD}" -tags "static_build"
+all: build
 
-BRANCH = `git rev-parse --abbrev-ref HEAD`
-BUILD = `git show -s --pretty=format:%cI`
-COMMIT = `git rev-parse --short HEAD || echo "$COMMIT"`
-VERSION = `git describe --abbrev=0 --tags 2>/dev/null || echo "$VERSION"`
-
-all: suwako
-
-suwako:
-	go build ${GOFLAGS} ./cmd/suwako
+build:
+	${GO} build ${GOFLAGS}
 clean:
 	rm -f suwako
-install: 
-	install -Dm0755 suwako ${PREFIX}/bin/suwako
-	install -Dm0644 suwako.1 ${PREFIX}/share/man/man1/suwako.1
-	install -Dm0644 suwako.conf.5 ${PREFIX}/share/man/man5/suwako.conf.5
+pre-install:
+	mkdir -p ${DESTDIR}${BINDIR}
+	mkdir -p ${DESTDIR}${MANDIR}/man1
+	mkdir -p ${DESTDIR}${MANDIR}/man5
+install: pre-install
+	install -m0755 suwako ${DESTDIR}${BINDIR}/suwako
+	install -m0644 suwako.1 ${DESTDIR}${MANDIR}/man1/suwako.1
+	install -m0644 suwako.conf.5 ${DESTDIR}${MANDIR}/man5/suwako.conf.5
 uninstall:
-	rm -f ${PREFIX}/bin/suwako
-	rm -f ${PREFIX}/share/man/man1/suwako.1
+	rm -f ${DESTDIR}${BINDIR}/suwako
+	rm -f ${DESTDIR}${MANDIR}/man1/suwako.1
+	rm -f ${DESTDIR}${MANDIR}/man5/suwako.conf.5
Index: /trunk/cmd/root.go
===================================================================
--- /trunk/cmd/root.go	(revision 31)
+++ /trunk/cmd/root.go	(revision 32)
@@ -1,5 +1,4 @@
 /*
 Copyright © 2025 Izuru Yakumo <eternal-servant@yakumo.dev>
-
 */
 package cmd
@@ -38,18 +37,15 @@
 	Args: cobra.MinimumNArgs(1),
 	Run: func(cmd *cobra.Command, args []string) {
-		_split := fmt.Sprint(args)
-		text := fmt.Sprint(strings.Trim(_split, "[]"))
-		if len(output) == 0 {
-			log.Fatalf("\033[1;31m%s\033[0m\n", "No target language")
-		}
+		text_to_split := fmt.Sprint(args)
+		text := fmt.Sprint(strings.Trim(text_to_split, "[]"))
 		var translate Translate
 		encInput := url.PathEscape(text)
 		queryURL := conf.endpoint + "/api/translate" + "?engine=" + conf.engine + "&from=" + input + "&to=" + output + "&text=" + encInput
 		resp, err := http.Get(queryURL)
-		CheckErr(err)
+		cobra.CheckErr(err)
 		defer resp.Body.Close()
 
 		_ = json.NewDecoder(resp.Body).Decode(&translate)
-		CheckErr(err)
+		cobra.CheckErr(err)
 		if len(translate.Output) == 0 {
 			log.Fatalf("\033[1;31m%s\033[0m\n", "There was no output, maybe the endpoint is down?")
@@ -58,10 +54,5 @@
 		}
 	},
-	Version: "3.0.0",
-}
-func CheckErr(err error) {
-	if err != nil {
-		log.Fatal(err)
-	}
+	Version: "3.0.1",
 }
 func Execute() {
@@ -71,14 +62,13 @@
 	}
 }
-
 func init() {
 	cobra.OnInitialize(initConfig)
-	rootCmd.PersistentFlags().StringVar(&cfgFile, "config", "", "config file (default is $XDG_CONFIG_HOME/suwako.ini)")
-	rootCmd.PersistentFlags().StringVarP(&input, "from", "f", "auto", "language to translate from (default is auto)")
+	rootCmd.PersistentFlags().StringVarP(&cfgFile, "config", "c", "", "config file (default is $XDG_CONFIG_HOME/suwako.ini)")
+	rootCmd.PersistentFlags().StringVarP(&input, "from", "f", "auto", "language to translate from")
 	rootCmd.PersistentFlags().StringVarP(&output, "to", "t", "", "target language")
 }
 func parseConfig(file string) error {
 	cfg, err := ini.Load(file)
-	CheckErr(err)
+	cobra.CheckErr(err)
 
 	conf.endpoint = cfg.Section("suwako").Key("endpoint").String()
@@ -92,8 +82,7 @@
 
 	} else {
-		// Find home directory.
-		xdg, err := os.UserConfigDir()
-		CheckErr(err)
-		defaultCfgPath := xdg + "/suwako.ini"
+		xdg_config_home, err := os.UserConfigDir()
+		cobra.CheckErr(err)
+		defaultCfgPath := xdg_config_home + "/suwako.ini"
 		parseConfig(defaultCfgPath)
 	}
Index: /trunk/go.mod
===================================================================
--- /trunk/go.mod	(revision 31)
+++ /trunk/go.mod	(revision 32)
@@ -1,3 +1,3 @@
-module marisa.chaotic.ninja/suwako
+module mahou-no-mori.yakumo.dev/suwako
 
 go 1.21.0
Index: /trunk/main.go
===================================================================
--- /trunk/main.go	(revision 31)
+++ /trunk/main.go	(revision 32)
@@ -1,9 +1,8 @@
 /*
 Copyright © 2025 Izuru Yakumo <eternal-servant@yakumo.dev>
-
 */
 package main
 
-import "marisa.chaotic.ninja/suwako/cmd"
+import "mahou-no-mori.yakumo.dev/suwako/cmd"
 
 func main() {
Index: /trunk/suwako.1
===================================================================
--- /trunk/suwako.1	(revision 31)
+++ /trunk/suwako.1	(revision 32)
@@ -12,6 +12,9 @@
 .Sh DESCRIPTION
 Self-explanatory, besides, this was made as
-a rewrite from a shell script that had curl
-and awk for dependencies.
+a rewrite from a shell script that had
+.Xr curl 1
+and
+.Xr awk 1
+for dependencies.
 It fully serves as a drop-in replacement.
 .Sh USAGE